## irwi 0.2-6

=== Makefile ===
#############################################################################
# Makefile for building: irwi
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Jul 8 10:46:06 2010
# Project:  irwi.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile irwi.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/zokier/irwi-0.2/src/src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/zokier/irwi-0.2/src/src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: irwi.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile irwi.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile irwi.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: irwi
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Jul 6 14:10:22 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_MOBILITY_BEARER -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include -I/usr/include/QtBearer -Iqmaemo5homescreenadaptor -I/targets/FREMANTLE_ARMEL/usr/include -Imoc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/lib -lQtBearer -lQtGui -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/

####### Files

SOURCES       = rating.cpp \
		settingsdlg.cpp \
		main.cpp \
		mainwidget.cpp \
		irctrl.cpp \
		remote.cpp \
		remotedbmgr.cpp \
		selectremotedlg.cpp \
		advsettingsdlg.cpp \
		settingstable.cpp \
		aboutdlg.cpp \
		remotelistwidgetitem.cpp \
		onlinepollerthread.cpp \
		qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp moc/moc_settingsdlg.cpp \
		moc/moc_mainwidget.cpp \
		moc/moc_irctrl.cpp \
		moc/moc_remote.cpp \
		moc/moc_remotedbmgr.cpp \
		moc/moc_selectremotedlg.cpp \
		moc/moc_advsettingsdlg.cpp \
		moc/moc_aboutdlg.cpp \
		moc/moc_onlinepollerthread.cpp \
		moc/moc_qmaemo5homescreenadaptor.cpp
OBJECTS       = obj/rating.o \
		obj/settingsdlg.o \
		obj/main.o \
		obj/mainwidget.o \
		obj/irctrl.o \
		obj/remote.o \
		obj/remotedbmgr.o \
		obj/selectremotedlg.o \
		obj/advsettingsdlg.o \
		obj/settingstable.o \
		obj/aboutdlg.o \
		obj/remotelistwidgetitem.o \
		obj/onlinepollerthread.o \
		obj/qmaemo5homescreenadaptor.o \
		obj/moc_settingsdlg.o \
		obj/moc_mainwidget.o \
		obj/moc_irctrl.o \
		obj/moc_remote.o \
		obj/moc_remotedbmgr.o \
		obj/moc_selectremotedlg.o \
		obj/moc_advsettingsdlg.o \
		obj/moc_aboutdlg.o \
		obj/moc_onlinepollerthread.o \
		obj/moc_qmaemo5homescreenadaptor.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = irwi
DESTDIR       = 
TARGET        = irwi

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/irwi1.0.0 || $(MKDIR) obj/irwi1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/irwi1.0.0/ && $(COPY_FILE) --parents rating.h settingsdlg.h mainwidget.h irctrl.h remote.h remotedbmgr.h selectremotedlg.h advsettingsdlg.h settingstable.h aboutdlg.h remotelistwidgetitem.h onlinepollerthread.h qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h obj/irwi1.0.0/ && $(COPY_FILE) --parents rating.cpp settingsdlg.cpp main.cpp mainwidget.cpp irctrl.cpp remote.cpp remotedbmgr.cpp selectremotedlg.cpp advsettingsdlg.cpp settingstable.cpp aboutdlg.cpp remotelistwidgetitem.cpp onlinepollerthread.cpp qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp obj/irwi1.0.0/ && (cd `dirname obj/irwi1.0.0` && $(TAR) irwi1.0.0.tar irwi1.0.0 && $(COMPRESS) irwi1.0.0.tar) && $(MOVE) `dirname obj/irwi1.0.0`/irwi1.0.0.tar.gz . && $(DEL_FILE) -r obj/irwi1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc/moc_settingsdlg.cpp moc/moc_mainwidget.cpp moc/moc_irctrl.cpp moc/moc_remote.cpp moc/moc_remotedbmgr.cpp moc/moc_selectremotedlg.cpp moc/moc_advsettingsdlg.cpp moc/moc_aboutdlg.cpp moc/moc_onlinepollerthread.cpp moc/moc_qmaemo5homescreenadaptor.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc/moc_settingsdlg.cpp moc/moc_mainwidget.cpp moc/moc_irctrl.cpp moc/moc_remote.cpp moc/moc_remotedbmgr.cpp moc/moc_selectremotedlg.cpp moc/moc_advsettingsdlg.cpp moc/moc_aboutdlg.cpp moc/moc_onlinepollerthread.cpp moc/moc_qmaemo5homescreenadaptor.cpp
moc/moc_settingsdlg.cpp: remote.h \
		rating.h \
		settingsdlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settingsdlg.h -o moc/moc_settingsdlg.cpp

moc/moc_mainwidget.cpp: irctrl.h \
		mainwidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwidget.h -o moc/moc_mainwidget.cpp

moc/moc_irctrl.cpp: irctrl.h
	/usr/bin/moc $(DEFINES) $(INCPATH) irctrl.h -o moc/moc_irctrl.cpp

moc/moc_remote.cpp: rating.h \
		remote.h
	/usr/bin/moc $(DEFINES) $(INCPATH) remote.h -o moc/moc_remote.cpp

moc/moc_remotedbmgr.cpp: remotedb.h \
		remote.h \
		rating.h \
		remotedbmgr.h
	/usr/bin/moc $(DEFINES) $(INCPATH) remotedbmgr.h -o moc/moc_remotedbmgr.cpp

moc/moc_selectremotedlg.cpp: remotedb.h \
		remote.h \
		rating.h \
		remotedbmgr.h \
		selectremotedlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) selectremotedlg.h -o moc/moc_selectremotedlg.cpp

moc/moc_advsettingsdlg.cpp: advsettingsdlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) advsettingsdlg.h -o moc/moc_advsettingsdlg.cpp

moc/moc_aboutdlg.cpp: aboutdlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) aboutdlg.h -o moc/moc_aboutdlg.cpp

moc/moc_onlinepollerthread.cpp: onlinepollerthread.h

=== ut/ut_remote/Makefile ===
#############################################################################
# Makefile for building: test
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jun 30 13:50:27 2010
# Project:  ut_remote.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile ut_remote.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_TESTLIB_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtTest -I/usr/include/qt4 -Imocs -I../stubs
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtTest -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = ../stubs/qnetworkreply.cpp \
		../stubs/qnetworkaccessmanager.cpp \
		../stubs/qsettings.cpp \
		ut_remote.cpp \
		../../src/remote.cpp \
		../../src/rating.cpp mocs/moc_qnetworkaccessmanager.cpp \
		mocs/moc_remote.cpp \
		mocs/moc_ut_remote.cpp
OBJECTS       = objs/qnetworkreply.o \
		objs/qnetworkaccessmanager.o \
		objs/qsettings.o \
		objs/ut_remote.o \
		objs/remote.o \
		objs/rating.o \
		objs/moc_qnetworkaccessmanager.o \
		objs/moc_remote.o \
		objs/moc_ut_remote.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../ut.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		ut_remote.pro
QMAKE_TARGET  = test
DESTDIR       = 
TARGET        = test

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ut_remote.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../ut.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile ut_remote.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../ut.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile ut_remote.pro

dist: 
	@$(CHK_DIR_EXISTS) objs/test1.0.0 || $(MKDIR) objs/test1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) objs/test1.0.0/ && $(COPY_FILE) --parents ../stubs/qnetworkreply.h ../stubs/qnetworkaccessmanager.h ../stubs/qsettings.h ../../src/remote.h ../../src/rating.h ut_remote.h objs/test1.0.0/ && $(COPY_FILE) --parents ../stubs/qnetworkreply.cpp ../stubs/qnetworkaccessmanager.cpp ../stubs/qsettings.cpp ut_remote.cpp ../../src/remote.cpp ../../src/rating.cpp objs/test1.0.0/ && (cd `dirname objs/test1.0.0` && $(TAR) test1.0.0.tar test1.0.0 && $(COMPRESS) test1.0.0.tar) && $(MOVE) `dirname objs/test1.0.0`/test1.0.0.tar.gz . && $(DEL_FILE) -r objs/test1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: mocs/moc_qnetworkaccessmanager.cpp mocs/moc_remote.cpp mocs/moc_ut_remote.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) mocs/moc_qnetworkaccessmanager.cpp mocs/moc_remote.cpp mocs/moc_ut_remote.cpp
mocs/moc_qnetworkaccessmanager.cpp: ../stubs/qnetworkaccessmanager.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ../stubs/qnetworkaccessmanager.h -o mocs/moc_qnetworkaccessmanager.cpp

mocs/moc_remote.cpp: ../../src/rating.h \
		../../src/remote.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ../../src/remote.h -o mocs/moc_remote.cpp

mocs/moc_ut_remote.cpp: ut_remote.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ut_remote.h -o mocs/moc_ut_remote.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

objs/qnetworkreply.o: ../stubs/qnetworkreply.cpp ../stubs/qnetworkreply.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/qnetworkreply.o ../stubs/qnetworkreply.cpp

objs/qnetworkaccessmanager.o: ../stubs/qnetworkaccessmanager.cpp ../stubs/qnetworkreply.h \
		../stubs/qnetworkaccessmanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/qnetworkaccessmanager.o ../stubs/qnetworkaccessmanager.cpp

objs/qsettings.o: ../stubs/qsettings.cpp ../stubs/qsettings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/qsettings.o ../stubs/qsettings.cpp

objs/ut_remote.o: ut_remote.cpp ut_remote.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/ut_remote.o ut_remote.cpp

objs/remote.o: ../../src/remote.cpp ../../src/remote.h \
		../../src/rating.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/remote.o ../../src/remote.cpp

objs/rating.o: ../../src/rating.cpp ../../src/rating.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/rating.o ../../src/rating.cpp

objs/moc_qnetworkaccessmanager.o: mocs/moc_qnetworkaccessmanager.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_qnetworkaccessmanager.o mocs/moc_qnetworkaccessmanager.cpp

objs/moc_remote.o: mocs/moc_remote.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_remote.o mocs/moc_remote.cpp

objs/moc_ut_remote.o: mocs/moc_ut_remote.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_ut_remote.o mocs/moc_ut_remote.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== ut/ut_remotelistwidgetitem/Makefile ===
#############################################################################
# Makefile for building: test
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jun 30 14:41:59 2010
# Project:  ut_remotelistwidgetitem.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile ut_remotelistwidgetitem.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_TESTLIB_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtTest -I/usr/include/qt4 -I../stubs -I../../src -Imocs
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtTest -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = ut_remotelistwidgetitem.cpp \
		../../src/remotelistwidgetitem.cpp \
		../../src/remote.cpp \
		../../src/rating.cpp mocs/moc_ut_remotelistwidgetitem.cpp \
		mocs/moc_remote.cpp
OBJECTS       = objs/ut_remotelistwidgetitem.o \
		objs/remotelistwidgetitem.o \
		objs/remote.o \
		objs/rating.o \
		objs/moc_ut_remotelistwidgetitem.o \
		objs/moc_remote.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../ut.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		ut_remotelistwidgetitem.pro
QMAKE_TARGET  = test
DESTDIR       = 
TARGET        = test

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ut_remotelistwidgetitem.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../ut.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile ut_remotelistwidgetitem.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../ut.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile ut_remotelistwidgetitem.pro

dist: 
	@$(CHK_DIR_EXISTS) objs/test1.0.0 || $(MKDIR) objs/test1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) objs/test1.0.0/ && $(COPY_FILE) --parents ut_remotelistwidgetitem.h ../../src/remotelistwidgetitem.h ../../src/remote.h objs/test1.0.0/ && $(COPY_FILE) --parents ut_remotelistwidgetitem.cpp ../../src/remotelistwidgetitem.cpp ../../src/remote.cpp ../../src/rating.cpp objs/test1.0.0/ && (cd `dirname objs/test1.0.0` && $(TAR) test1.0.0.tar test1.0.0 && $(COMPRESS) test1.0.0.tar) && $(MOVE) `dirname objs/test1.0.0`/test1.0.0.tar.gz . && $(DEL_FILE) -r objs/test1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: mocs/moc_ut_remotelistwidgetitem.cpp mocs/moc_remote.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) mocs/moc_ut_remotelistwidgetitem.cpp mocs/moc_remote.cpp
mocs/moc_ut_remotelistwidgetitem.cpp: ut_remotelistwidgetitem.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ut_remotelistwidgetitem.h -o mocs/moc_ut_remotelistwidgetitem.cpp

mocs/moc_remote.cpp: ../../src/rating.h \
		../../src/remote.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ../../src/remote.h -o mocs/moc_remote.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

objs/ut_remotelistwidgetitem.o: ut_remotelistwidgetitem.cpp ut_remotelistwidgetitem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/ut_remotelistwidgetitem.o ut_remotelistwidgetitem.cpp

objs/remotelistwidgetitem.o: ../../src/remotelistwidgetitem.cpp ../../src/remotelistwidgetitem.h \
		../../src/remote.h \
		../../src/rating.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/remotelistwidgetitem.o ../../src/remotelistwidgetitem.cpp

objs/remote.o: ../../src/remote.cpp ../../src/remote.h \
		../../src/rating.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/remote.o ../../src/remote.cpp

objs/rating.o: ../../src/rating.cpp ../../src/rating.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/rating.o ../../src/rating.cpp

objs/moc_ut_remotelistwidgetitem.o: mocs/moc_ut_remotelistwidgetitem.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_ut_remotelistwidgetitem.o mocs/moc_ut_remotelistwidgetitem.cpp

objs/moc_remote.o: mocs/moc_remote.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_remote.o mocs/moc_remote.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
irwi (0.2-6) unstable; urgency=low

  * Fixed dependency issue

 -- Torste Aikio <zokier@unknown>  Mon, 12 Jul 2010 12:18:33 +0300

=== debian/control ===
Source: irwi
Section: user/desktop
Priority: extra
Maintainer: Torste Aikio <zokier@unknown>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6), libx11-dev, libqtm-dev
Standards-Version: 3.7.2

Package: irwi
Architecture: any
Depends: libqtm-bearer, qt4-homescreen-loader, lirc, ${shlibs:Depends}, ${misc:Depends}
Description: Small widget to control your TV etc
  This widget has basic controls to control IR controlled devices.
XB-Maemo-Display-Name: Irreco Widget
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAAAAAByaaZbAAAABGdBTUEAALGP
 C/xhBQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw
 AADqYAAAOpgAABdwnLpRPAAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAl2cEFn
 AAAAMAAAADAAzu6MVwAAA8lJREFUSMeNlltIFWEQgOf/d4+lZlkRRRmWPlRU
 alGBRHYxKdLqSV+6aRCJ9lR0AyMjKoygy1NFFyq6UWD1JhViVA9lZJl2eehi
 milIRqF59jLN/Lues6dz9uR/1D07O9/8M/PPjAsQvQTMufGhfq0mBAxhCfpM
 /oG0ikDC/xEJoME+NG3Dusn3CVpcRpB+QMJR20YL7xEbcGz4qZOxzF1TAA4j
 A7UA+oG9SyT4xULitN2NwTkARxRwh4A27Lqc77OJALm4wUKc6wGGfQ4ifq9K
 jUUIGF7djmjZXiDhEwkwWDc/mpCQdsZCm1YE0EbfKAMta/4lBIy+Rub54TwP
 EHhvkJO2iV9XRxJCjKwh44gmDsz0AHAd2Qz9tMyLOEQJGwZIiZ/VJOgeIH3h
 CZeoG+UhBGQ3sdjGnnLKpQegtaWH47D+VEkR1k++qMzY7QV0p4UPDiRVRn4H
 E9i1NBQGyXopANsMbgZS0MKlwUuH0j6LicsB98gFJF3lAGw8qfG2GlSFiw/4
 /rhKbvdy+uoAuZ2cUfwwXsVF5f1zsLydjIxtVT6e0p0tJFSaJDCxUpeuhZwL
 r+qKQg2ky222RZ8n45QJIcRZNMjA62mDiaOL7sm6BplNfKS9sx0AJjaQeQNv
 DQ/VsYxsAxm4zTVllrkuL+IQLNzv2yoaVHOMeNq1VtjHG/5Y5dvBElZ2s8od
 N+ZN5JGFbbN8AQEzPjHwUneAUgV8zYkDzP7CwCsX2KySNIQd3rhAickxd+fF
 ARZ+Y+CR5gAFv7jVrO1xsrQjyFm6IRw86x1tYOAl39moySt8DtZBd7/Eu6Ru
 4tPJPj5JmPCYPQqucHyQcMimbjD7i2Vsn3RZ0scN/DHDBURxn6rG+pSYPkmZ
 +ECVQm0KuEGkNzsNWh4zbA22qvlj7Ag/3qkayO5ZAnq0Q5DXxf2IL6YOAgKm
 tqCaMc8y3Kby2k9/rsxZe8IbCFHRb6kp05gL4PmPwON/QaPjb0MaeMZG0nmy
 z0RPGXePLqmtpE7+idJuR799sTfpErJaWc7U/fyUkDw5r07JbGugWkSkUMCy
 LkXwvKw/tnFG6tjU6euPPmSJEp5J/iflQqzrpOHCbjHX8fb92/bBG/q9Nimq
 CmiatSr75ENQXdAOclxUBf01Y6KrhgTZ5wx6bCslXiqZ9KdpQ0rME6UqrGhm
 DwwFkbJp0KX3Yjb4ViVk7Gz+rZRNk91Bq/Nq/giQvp1FD9KLD9W+U6Oyv7Ph
 bGVuEsR9HVC5S8wqKCkr3VS4aFJIFA/xNoWQQ3pBoapQSwztdeY/6y9bfb5N
 tv92ygAAABl0RVh0Q29tbWVudABDcmVhdGVkIHdpdGggR0lNUFeBDhcAAAAl
 dEVYdGRhdGU6Y3JlYXRlADIwMTAtMDctMDFUMTU6MzI6NDQrMDM6MDDhqCRL
 AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDEwLTA3LTAxVDE1OjMyOjQ0KzAzOjAw
 kPWc9wAAAABJRU5ErkJggg==
 ====

## irwi 0.2-9

=== debian/changelog ===
irwi (0.2-9) unstable; urgency=low

  * Autobuilder workaround

 -- Torste Aikio <zokier@unknown>  Mon, 30 Aug 2010 13:18:33 +0300

irwi (0.2-8) unstable; urgency=low

  * Autobuilder workaround

 -- Torste Aikio <zokier@unknown>  Thu, 22 Jul 2010 13:18:33 +0300

irwi (0.2-7) unstable; urgency=low

  * Fixed postinst script

 -- Torste Aikio <zokier@unknown>  Thu, 22 Jul 2010 12:18:33 +0300

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Description: Small widget to control your TV etc
   This widget has basic controls to control IR controlled devices.
 XB-Maemo-Display-Name: Irreco Widget
+XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=54216
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAAAAAByaaZbAAAABGdBTUEAALGP
  C/xhBQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := irwi
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
#dh_install

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
